%define major		0
%define fversion	%{version}
%define build_plf	0
%define libname		%mklibname quicktime %{major}
%define develname	%mklibname quicktime -d

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

Summary:	A library for manipulating QuickTime files
Name:		libquicktime
Version:	1.2.4
Release:	%mkrel 19
%if %build_plf
License:	GPLv2+
%else
License:	LGPLv2+
%endif
Group:		System/Libraries
Source0:	http://prdownloads.sourceforge.net/libquicktime/%{name}-%{fversion}.tar.gz
Patch0:		libquicktime-1.2.4-integer_overflow.patch
# Patches from Archlinux: https://git.archlinux.org/svntogit/community.git/tree/trunk?h=packages/libquicktime
Patch1:		libquicktime-ffmpeg2.0.patch
Patch2:		libquicktime-ffmpeg3.patch
URL:		http://libquicktime.sourceforge.net/
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	MesaGLU-devel
BuildRequires:	libgtk+2.0-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	libalsa-devel
BuildRequires:	libice-devel
BuildRequires:	libxaw-devel
BuildRequires:	libxv-devel
BuildRequires:	libschroedinger-devel
BuildRequires:	doxygen

%description
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.

%if %build_plf
This package is in the 'tainted' section as it violates some patents.
%endif

%package -n %{libname}
Summary:	Shared library of libquicktime
Group:		System/Libraries

%description -n %{libname}
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.


%package -n %{develname}
Summary:	Header files and development documentation for libquicktime
Group:		Development/C
Provides:	libquicktime-devel = %{version}-%{release}
Provides:	quicktime-devel = %{version}-%{release}
Provides:	quicktime-static-devel = %{version}-%{release}
Provides:	%{libname}-static-devel = %{version}-%{release}
Obsoletes:	%{libname}-static-devel = %{version}-%{release}
Obsoletes:	%mklibname -d quicktime 0
Requires:	%{libname} = %{version}

%description -n %{develname}
Header files and development documentation for libquicktime.


%package dv
Summary:	Libquicktime plugin supporting the DV codec
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildRequires:	libdv-devel >= 0.103

%description dv
Libquicktime plugin supporting the DV codec.

%package progs
Summary:	Useful tools to operate at QuickTime files
Group:		Video/Utilities
Requires:	%{name} = %{version}

%description progs
Useful tools to operate on QuickTime files.

%if 0
# faac is not in core or tainted
%package faac
Summary:	Libquicktime plugin for encoding AAC
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildRequires:	libfaac-devel

%description faac
This is a libquicktime plugin for AAC encoding based on faac.

This package is in the 'tainted' section as it violates some patents.
%endif

%if %build_plf
%package lame
Summary:	Libquicktime plugin supporting the MP3 codec
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildRequires:	liblame-devel

%description lame
This is a libquicktime plugin supporting the MP3 codec based on lame.

This package is in the 'tainted' section as it violates some patents.
%package faad
Summary:	Libquicktime plugin for decoding AAC
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildRequires:	libfaad2-devel

%description faad
This is a libquicktime plugin for AAC decoding based on faad2.

This package is in the 'tainted' section as it violates some patents.

%package x264
Summary:	Libquicktime plugin for encoding H.264/MPEG-4 streams
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildRequires:	libx264-devel

%description x264
This is a libquicktime plugin for encoding H.264/MPEG-4 streams.

This package is in the 'tainted' section as it violates some patents.
%endif

%prep
%setup -q -n %{name}-%{fversion}
%autopatch -p1

%build

%configure2_5x \
	--with-libdv \
%ifarch x86_64
	--with-pic \
%endif
%if %build_plf
	--enable-gpl
%endif

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/libquicktime/*a
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/libquicktime/lqt_opendivx.so

%find_lang %{name}

%files -f %{name}.lang
%doc README
%{_docdir}/%{name}/apiref/
%dir %{_libdir}/libquicktime/
%{_libdir}/libquicktime/lqt_audiocodec.so
%{_libdir}/libquicktime/lqt_ffmpeg.so
%{_libdir}/libquicktime/lqt_mjpeg.so
%{_libdir}/libquicktime/lqt_png.so
%{_libdir}/libquicktime/lqt_videocodec.so
%{_libdir}/libquicktime/lqt_rtjpeg.so
%{_libdir}/libquicktime/lqt_schroedinger.so
%{_libdir}/libquicktime/lqt_vorbis.so

%files dv
%{_libdir}/libquicktime/lqt_dv.so

%files -n %{libname}
%{_libdir}/libquicktime.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/lqt
%{_libdir}/pkgconfig/*.pc

%files progs
%doc README TODO
%{_bindir}/libquicktime_config
%{_bindir}/lqtplay
%{_bindir}/lqtremux
%{_bindir}/lqt_transcode
%{_bindir}/qt*
%{_mandir}/man1/lqtplay.1*

%if 0
%files faac
%{_libdir}/libquicktime/lqt_faac.so
%endif

%if %build_plf
%files lame
%{_libdir}/libquicktime/lqt_lame.so

%files faad
%{_libdir}/libquicktime/lqt_faad2.so

%files x264
%{_libdir}/libquicktime/lqt_x264.so
%endif


%changelog
* Tue May 02 2017 akien <akien> 1.2.4-19.mga6.tainted
+ Revision: 1098298
- Rebuild for ffmpeg 3.3

* Thu Mar 09 2017 akien <akien> 1.2.4-18.mga6
+ Revision: 1090881
- Add Archlinux patches to fix ffmpeg 3.0+ compatibility
- Rebuild for ffmpeg 3.2.4

* Thu Mar 02 2017 ns80 <ns80> 1.2.4-17.mga6.tainted
+ Revision: 1088494
- rebuild for tainted section

* Thu Mar 02 2017 ns80 <ns80> 1.2.4-16.mga6
+ Revision: 1088493
- rebuild for tainted section

* Thu Mar 02 2017 ns80 <ns80> 1.2.4-15.mga6
+ Revision: 1088486
- rebuild for core section

* Thu Mar 02 2017 ns80 <ns80> 1.2.4-14.mga6.tainted
+ Revision: 1088475
- add patch for CVE-2016-2399 (mga#20357)

* Tue Mar 15 2016 daviddavid <daviddavid> 1.2.4-13.mga6.tainted
+ Revision: 990912
- rebuild with schroedinger without .la files

* Mon Jan 18 2016 luigiwalser <luigiwalser> 1.2.4-12.mga6
+ Revision: 925617
- rebuild for x264

* Mon Oct 19 2015 daviddavid <daviddavid> 1.2.4-11.mga6.tainted
+ Revision: 892848
- add more docs to fix build with latest rpm

* Fri Nov 14 2014 fwang <fwang> 1.2.4-10.mga5.tainted
+ Revision: 796979
- rebuild for new ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-9.mga5.tainted
+ Revision: 745143
- Second Mageia 5 Mass Rebuild

* Sun Mar 30 2014 daviddavid <daviddavid> 1.2.4-8.mga5.tainted
+ Revision: 610544
- rebuild for new x264

* Mon Feb 17 2014 luigiwalser <luigiwalser> 1.2.4-7.mga5
+ Revision: 593275
- rebuild for x264

* Sat Aug 24 2013 luigiwalser <luigiwalser> 1.2.4-6.mga4.tainted
+ Revision: 470993
- rebuild for x264

* Mon Jul 15 2013 fwang <fwang> 1.2.4-5.mga4.tainted
+ Revision: 454382
- more patch on ffmpeg 2.0
- fix build with ffmpeg 2.0
- rebuild for new ffmpeg

* Mon Jun 17 2013 luigiwalser <luigiwalser> 1.2.4-4.mga4.tainted
+ Revision: 443892
- rebuild for x264

* Mon Jun 03 2013 fwang <fwang> 1.2.4-3.mga4.tainted
+ Revision: 435505
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.2.4-2.mga3.tainted
+ Revision: 358032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + ovitters <ovitters>
    - clean spec
    - fix rpm group

* Thu May 31 2012 fwang <fwang> 1.2.4-1.mga3.tainted
+ Revision: 252002
- new version 1.2.4

* Tue Dec 13 2011 fwang <fwang> 1.2.3-3.mga2.tainted
+ Revision: 181282
- rebuild for new x264

* Sat Sep 10 2011 fwang <fwang> 1.2.3-2.mga2.tainted
+ Revision: 142127
- rebuild for new libpng

* Thu Jul 07 2011 fwang <fwang> 1.2.3-1.mga2
+ Revision: 119677
- new version 1.2.3

* Fri Jun 24 2011 fwang <fwang> 1.2.2-4.mga2.tainted
+ Revision: 113116
- add upstream cvs patch to build with ffmpeg 0.8
- rebuild for new ffmpeg

* Sun May 29 2011 cjw <cjw> 1.2.2-3.mga1.tainted
+ Revision: 100694
- disable aac encoding support in tainted builds
- add support for tainted builds

* Sat Feb 05 2011 ahmad <ahmad> 1.2.2-2.mga1
+ Revision: 47176
- drop old/unneeded scriptlets
- imported package libquicktime

